For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get webhook details

Get details for a webhook.

Required permissions: WEBHOOK

get
/tenants/{tenantUid}/httptransports/{httpTransportUid}/webhooks/{webhookUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
webhookUidstringRequired

Reference to a webhook

Pattern: ^[A-Za-z0-9-_]+
httpTransportUidstringRequired

Reference to a Http Transport.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json

Webhook Response

actionstring · enumRequired
ENUMDescription
PRODUCT_CREATECreate new product
PRODUCT_UPDATEUpdate existing product
PRODUCT_DELETEProduct deleted
CUSTOMER_CREATECreate new customer
CUSTOMER_UPDATEUpdate existing customer
CUSTOMER_DELETECustomer deleted
ORDER_SETTLEDNew order. Order status is SETTLED
ORDER_STATE_CHANGEOrder changes state
ORDER_RECEIPT_SETTLEDA receipt is SETTLED
ORDER_DELIVEREDExisting order. Order status DELIVERED
ORDER_LINE_DELIVEREDAn order line has been delivered
ORDER_HANDLING_STATE_CHANGEDAn order handling state changed (notably when set to NOT_STARTED, IN_PROGRESS, ON_HOLD, or COMPLETE)
TILL_CLOSEDTill has been counted and closed.
TILL_OPENTill has been opened.
PRICE_CREATECreate new price.
PRICE_UPDATEUpdate Price.
PRICE_DELETEPrice deleted
STOCK_CHANGEStock for a warehouseUid and productUid has changed.
PRODUCT_MEDIA_CHANGEProduct media has changed (create/update/delete).
PURCHASE_RECEIVEDPurchase order fully received
ORDER_LINE_RESERVATION_CHANGEOrder line reservation changed
Possible values:
webhookUidstringRequiredPattern: ^[A-Za-z0-9-_]+
get/tenants/{tenantUid}/httptransports/{httpTransportUid}/webhooks/{webhookUid}
GET /v2/tenants/{tenantUid}/httptransports/{httpTransportUid}/webhooks/{webhookUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "action": "PRODUCT_CREATE",
  "httpTransport": {
    "headers": [
      {
        "key": "text",
        "value": "text"
      }
    ],
    "name": "text",
    "password": "text",
    "securityType": "NONE",
    "token": "text",
    "httpTransportUid": "text",
    "url": "text",
    "username": "text"
  },
  "webhookUid": "text"
}

Last updated

Was this helpful?